OSTREE FSCK(1)

NAME
ostree-fsck - Check the repository for consistency

SYNOPSIS

ostree fsck [OPTIONS...]

DESCRIPTION

Checks the repository to verify the content integrity of commit objects. Looks for missing and corrupted objects and metadata, and validates directory structure and metadata.

OPTIONS

--quiet,-q
    Only print error messages.

--delete
    Remove corrupted objects.

--add-tombstones
    Add tombstone commit for referenced but missing commits.

EXAMPLE

$ ostree fsck

            Enumerating objects...
            Verifying content integrity of of 2 commit objects
            0/2572 objects
            2571/2572 objects